Introduction

7+ Taskbar Tweaker allows you to configure various aspects of the Windows taskbar.

Most of the configuration options it provides can't be tweaked using the taskbar properties or the registry.

The tweaker is designed for Windows 7, Windows 8, Windows 8.1, and Windows 10.

Links

  • Web page
  • Bug/feature tracker
  • Donate

Copyright © 2009-2017 by RaMMicHaeL. All Rights Reserved.


Changelog

Introduction ››

v5.4 (May 19, 2017)

  • Added support for the Windows 10 Fall Creators Update (build 16299).
  • The tweaker now shows a warning message for unsupported Windows 10 builds.
  • Added an advanced Mouse Button Control option to alphabetically sorts group items.
  • When the "Control volume when mouse is over: The notification area" option is on, it is being activated over the clock of secondary monitors now, too.
  • Windows 10: Double/middle clicking the taskbar opens the start menu on the correct monitor.
  • Windows 10 and the no_start_btn_spacing advanced option: clicking on the empty corner now opens the start menu.
  • Fixed the "Combine grouped buttons" option when switching virtual desktops on Windows 10.
  • Fixed a bug with the drag_towards_desktop advanced option, which could activate unrelated windows.
  • Added a Spanish help file, by Leonel Mira (carpediemando.890m.com).
  • Added a French help file, by Wullfk (easy-pc.org).

v5.3 (May 19, 2017)

  • Added support for the Windows 10 Creators Update (build 15063).

I want to thank everybody who donated for the porting effort : Steve Ellmore, Mark Light, Joe Gores, and other contributors .

  • Added the scroll_no_wrap advanced option, which disables the wrapping around behavior for the "cycle between taskbar buttons" option.
  • Fixed a bug in Windows 10 Anniversary Update, which could cause several options to work incorrectly.
  • Fixed taskbar items reordering while applying tweaks in several cases.
  • Fixed for Mouse Button Control advanced options: custom right click actions could cause the taskbar context menu to show up.
  • Fixed a bug which caused the tray_icons_padding advanced option to get reset sometimes.
  • Added Bulgarian translation, by Radoslav Nenchovski (Радослав Ненчовски).
  • Added Hebrew translation, by Gil Bar-Shlomo (גיל בר-שלמה).
  • Updated the Polish help file.

v5.2.1 (September 10, 2016)

  • Hotfix: disabling the thumbnail preview on hover caused the preview to not be displayed when clicking on a combined taskbar group.

v5.2 (September 9, 2016)

  • Added support for the Windows 10 Anniversary Update (build 14393).
  • Added the following supported values for the Mouse Button Control advanced options:

volumeicon - allows to customize actions for volume tray icon click.

showdesktop - allows to customize actions for the Show Desktop button.

  • Implemented the virtual_desktop_order_fix advanced option for Windows 10. The option preserves the order of the taskbar buttons when switching between virtual desktops.
  • Implemented the tray_icons_padding advanced option for Windows 10.
  • Fixed the multipage_wheel_scroll advanced option, which didn't work when the mouse was over the empty space of the taskbar.
  • Updated tray icon, with anti-aliasing and better support for high DPI.

The icon was designed by Daniel Beardsmore. Thanks!

  • Added Slovak translation, by Vladimír Kubala.
  • Other minor fixes and improvements.

v5.1 (December 4, 2015)

  • Added support for The First Major Update of Windows 10 (build 10586).
  • Fixed rearranging of Taskbar Inspector items when the scrollbar is visible.
  • Windows 10: when using the disable_topmost option, bring the taskbar to the foreground when the Windows key is pressed.
  • Improved the English dialog for high DPI.
  • Fixed: when closing a window with a middle click, if the window had an "are you sure?" message, the tweaker didn't always bring it to the foreground.

v5.0 (August 22, 2015)

  • Windows 10 support.

I want to thank everybody who donated for the porting effort : Mike T, Fraser Ntukula , and other contributors .

  • Fixed compatibility with the KB3072318 update for Windows 8.1.
  • Improved compatibility of pinned items with the option to disable grouping.
  • Added the disable_tray_icons_drag advanced option, which disables the drag operation of notification area items, i.e. makes reordering of items impossible.
  • Added the w10_large_icons advanced option, which changes taskbar icon sizes from 24x24 to 32x32 on Windows 10.
  • Added the cycle_same_virtual_desktop advanced option, which tweaks the Left click on combined item option to cycle only through windows that belong to the current virtual desktop.
  • Added a new option for the disable_taskbar_transparency advanced option, which allows to use the basic theme taskbar color (Windows 7).
  • Added Mouse Button Control options to maximize/restore a taskbar item, and to maximize/restore all buttons of a group.
  • Improved the no_width_limit advanced option to work for multiple monitors.
  • Fixed the disable_items_drag advanced option, which caused the thumbnail previews to not appear.
  • Fixed: when the disable_topmost advanced option was on, the start button could get stuck in hovered state on Windows 7.
  • A custom icon ("7+ Taskbar Tweaker.ico", if exists) is now applied for the main window as well.
  • Korean translation, by Metrics Spec.

v4.5.10 (April 7, 2015)

  • Added an automatic update feature, which can be enabled from the settings dialog.
  • Added the disable_items_drag advanced option, which disables the drag operation of taskbar items on the task list.
  • The tweaker now prevents explorer from changing AppIDs of folder windows when the current AppID is a random AppID (random_group_xxxxxxxx). This does not work if the folder window runs in a separate process.
  • Fixed: sometime decombining didn't work when taskbar animations are disabled.
  • Fixed an issue of the MinHook library, which could prevent the tweaker from working.
  • Fixed several crashes.

v4.5.8 (February 27, 2015)

  • Quick fix: fixed an incompatibility with several other tweaking programs.

v4.5.7 (February 26, 2015)

  • Added the no_start_btn_spacing advanced option, which allows to control the spacing size when the start button is hidden.
  • Added a new advanced option, right_drag_toggle_labels, which was always turned on with the "Drag within/between groups using right mouse button" option.
  • Added a new advanced option, show_desktop_on_hover, which makes the taskbar to show desktop when a file is dragged over it (similar to Windows XP).
  • Improved the disable_topmost advanced option in Windows 7.
  • If the file "7+ Taskbar Tweaker.ico" exists, it's used as a tray icon.
  • Finnish translation of the program and the help file, by Viligg.
  • Small fixes.

v4.5.6 (November 22, 2014)

  • Added the "disable_taskbar_transparency" advanced option.
  • Added the "always_show_tooltip" advanced option, which forces a tooltip to be shown on hover, even if the text fits the taskbar button.
  • Improved startup time for the case when only specific, lightweight options are used.
  • Fixed a possible crash.

v4.5.5 (October 31, 2014)

  • Made 7+ Taskbar Tweaker compatible with the 7+ Taskbar Tweaking Library .
  • Mouse Button Control: added options to minimize/close all items of a button group.
  • Fixed a crash with the "Middle click -> Minimize" option, which wasn't completely fixed in v4.5.4.
  • Improved the "disable_topmost" advanced option.

v4.5.4 (October 4, 2014)

  • Fixed the "Combining" option.
  • Fixed a crash with the "Middle click -> Switch to", "Middle click -> Minimize" options.
  • Fixed: the combination of the "Middle click" and "Left click on combined item" options didn't work correctly.

v4.5.3 (October 2, 2014)

  • Fixed a crash (Windows 8.1 Update 1 was not affected).

v4.5.2 (October 1, 2014)

  • Improved support for taskbar items of Metro applications.
  • Improved the disable_topmost advanced option.
  • Implemented an additional configuration setting for the disable_topmost advanced option, which allows to configure maximized windows to overlap the taskbar.
  • Improved the "Decombine: Active group" option when interacting with the task list (e.g. with a middle click).
  • Improved compatibility of Mouse Button Control advanced options with the following options: Pinned items -> Open with double click, Left click on combined item -> Cycle through windows.
  • Fixed: the scroll_maximize_restore advanced option didn't work correctly for IE (and probably for other programs which use multiple thumbnail previews for a single window).
  • Fixed a crash.

v4.5.1 (June 27, 2014)

  • New advanced option: disable_topmost, which allows you to make the taskbar non-topmost.
  • New advanced option: multirow_equal_width, which forces the items on every row of a multirow taskbar to have the same width.
  • New advanced option: scroll_maximize_restore, which extends the "minimize/restore when mouse is over..." option to switch between minimize/restore/maximize.
  • Fixed a crash for the drag_towards_desktop=5 advanced option on Windows 8.1 Update 1.

v4.5 (May 10, 2014)

  • Windows 8.1 Update 1 support.

I want to thank everybody who donated for the porting effort : Charles George, Justin Shillock (Platypus Man), and other contributors .

  • Improved compatibility with the "focus follows mouse" accessibility option.
  • Fixed a bug which prevented the thumbnail preview from closing under certain circumstances.
  • Fixed a rare bug when the shift or ctrl key became stuck.
  • Fixed: the main dialog didn't look correctly with the classic theme (Windows 7) for the following languages: Czech, German, Italian, Polish, Russian.
  • Fixed: explorer could crash under certain circumstances.

v4.4.6 (February 22, 2014)

  • Fixed the list_reverse_order advanced option for cases where the list contains lots of items and scrolling arrows are added.
  • Fixed, when using mouse wheel volume control: if a dialog other than the volume control is open (e.g. the Volume Mixer), mouse scroll didn't bring it to front.
  • Added a short delay before checking for an update. This might have fixed a crash which occurred when the PC woke up.
  • Fix: after clicking on the taskbar, volume control was launched even if the mouse is not inside the taskbar.
  • Fix: some windows couldn't be restored from the minimized state.
  • Japanese translation, by milksizegene.

v4.4.5 (January 5, 2014)

  • Hotfix: tray clock wasn't responsive to mouse hover events.

v4.4.4 (January 4, 2014)

  • New advanced option: list_reverse_order, which allows to reverse the displaying order of items in the preview list. To be used with the option Hovering -> List.
  • New advanced option: w7_show_desktop_classic_corner, which fixes a bug of Windows 7: when the classic theme is used, clicking on the screen corner where the "Show desktop" button is located doesn't activate the button.
  • Mouse Button Control: options to cycle through windows by clicking the empty space of the taskbar.
  • When the Task Switcher window (Alt+Tab) is open, mouse scroll events aren't being captured by the taskbar.

v4.4.3 (December 17, 2013)

  • Fixed: on Windows 8/8.1 64-bit, clicking on a decombined button opens thumbnail preview instead of switching to the corresponding window.
  • Fixed: the no_width_limit advanced option didn't work on Windows 7 if the start button was hidden.

v4.4.2 (December 15, 2013)

  • New advanced option: tray_icons_padding, which allows to customize the horizontal padding between icons in the notification area.
  • New advanced option: no_width_limit, which removes the minimum width limitation of the vertical taskbar.
  • When the option to open pinned items with a double click is turned on, it's now possible to launch applications with Shift+click as well.
  • Advanced options now have more priority than regular options, e.g. if you customize the same key in the main window and in the Advanced Options Editor, the latter will apply.
  • The installer launches the tweaker as non-elevated, even if the installer itself was run as administrator.
  • Bug fixes.

v4.4.1 (November 29, 2013)

  • New advanced option: show_desktop_button_size, which allows to customize the size of the "Show desktop" button.
  • Mouse Button Control: an option to terminate the process associated with a specific window.
  • The Advanced Options Editor is now modeless, i.e. doesn't block the main window.
  • Fixed a serious bug which could lead to a crash or a failure to initialize if both:

1. More than one instance of the tweaker is being used on the PC (e.g. multiuser environment).

2. One or more of the "Mouse wheel" options is being used.

  • Minimal support for SysInternals Desktops.

v4.4 (November 12, 2013)

  • New option: Hide the Start button.
  • New option: Show Start menu/Start screen on double/middle click on the empty space.

This option is also available for the Mouse Button Control and Keyboard Shortcuts advanced options.

  • Advanced Options Editor. (See Advanced options in help file for more details.)
  • New advanced option: drag_towards_desktop, which was available as a check box.

It's not available from the main interface anymore, but the new option provides more customization.

  • Mouse Button Control: an option to show thumbnail previews.
  • Fixed: the window background was shown in high contrast mode.
  • Fixed: volume control sometimes appeared in a wrong location.

v4.3.1 (October 18, 2013)

  • New registry option that allows to hide the start button (currently works only for Windows 8.1).
  • New registry option that allows to scroll a multipage taskbar with the mouse wheel.
  • Improved tooltips on hover: removed delay after the first tooltip.
  • Fixed: Taskbar Inspector doesn't overlap the taskbar when it's set to auto-hide.
  • Arabic translation, by Cyb3r.

v4.3 (October 4, 2013)

  • Windows 8.1 support.
  • Taskbar Inspector: you can use Ctrl+C to copy selected items as text.
  • New registry options, scroll_reverse_cycle and scroll_reverse_minimize, which allow you to reverse the mouse wheel direction for certain tweaks.
  • Fixed a bug that caused taskbar icons to flicker for certain configuration when the taskbar is full.
  • Fixed a bug that could cause explorer to hang when Taskbar Inspector is open.
  • Fixed: Mouse Button Control options didn't work for X1/X2 mouse buttons, and sometimes didn't work correctly for double clicks.

v4.2.7 (July 18, 2013)

  • Labels on thumbnails are now displayed for items that were set to never show labels on the taskbar.
  • Added a new registry option, always_show_thumb_labels, which makes labels on thumbnails always visible.
  • Greek translation, by George Georgiou (Γιώργος Γεωργίου).

v4.2.6 (June 02, 2013)

  • Improved closing with a middle click - if a notification is shown before closing, the window is brought to the foreground.
  • Improved handling of hung windows.
  • Fixed a possible crash caused by the "When not grouping, place new items next to the existing ones" option.

v4.2.5 (May 14, 2013)

  • Added Keyboard Shortcuts advanced options. See help for more details.
  • Improved reordering between groups using the right mouse button.
  • When closing a window with a middle click, allow it to gain focus.
  • Fixed the tooltip volume control registry option.
  • Added access key shortcuts (Alt+X) to the tray icon right click menu.

v4.2.4 (April 30, 2013)

  • Made volume control compatible with the Volume Mixer.
  • Reverted a fix for Windows 7, which appears to be incompatible with other apps such as QTTabBar (now available as a registry option).
  • Fix: the option to not show jump list when dragging made thumbnails appear in an incorrect position.

v4.2.3 (April 26, 2013)

  • Registry option: fix taskbar buttons rearrangement caused by hung windows. Enabled by default.

More information .

  • Turkish translation of the help file, by Fatih Fırıncı.
  • Fix: use a more reliable injection method. Previously, the tweaker could silently fail to inject.
  • Fix: wait until explorer is completely initialized before attempting to inject.

v4.2.2 (April 16, 2013)

  • Fixed a serious bug that could lead to an explorer crash when Taskbar Inspector is open.
  • Turkish translation update.

v4.2.1 (April 14, 2013)

  • Fix: apply correct width when showing seconds on the tray clock. Mostly affects users of classic theme with small icons preference.
  • Registry option: fix clock width, which is wider than it should be, when using small icons.

v4.2 (April 13, 2013)

  • New option: Display seconds on the tray clock.
  • New option: Don't show jump list when dragging a taskbar item towards the desktop.
  • Simplified Chinese translation of the help file, by horan.
  • Improved the "decombine active group"/"decombine on mouse hover" options compatibility with jump lists.
  • Improved the injection method.
  • Small fixes.

v4.1.8 (April 1, 2013)

  • Quick fix: clicking the clock doesn't work on Windows 7.

v4.1.7 (April 1, 2013)

  • Macedonian translation, by Милан Велковски.
  • Small fixes.

v4.1.6 (March 23, 2013)

  • Right Click -> Standard window menu: Applies for keyboard as well (Windows + T -> Menu key).
  • Mouse Button Control: Fixed double click control (See help for more information about the option).

v4.1.5 (February 22, 2013)

  • Serbian translation, by ozzii (оззии).

v4.1.4 (February 9, 2013)

  • Ukrainian translation, by Ura Chorniy (Юра Чорний).
  • Czech translation, by Drusilla Peterek and Stepan Hasler.
  • Polish translation of the help file, by Artur Łukasik (MAURYCY).
  • Latvian, Polish, and Russian translation updates.

v4.1.3 (January 25, 2013)

  • Dutch translation of the help file, by Frank Meijer.

v4.1.2 (January 18, 2013)

  • Detect target version from explorer's version info, not from the OS. Now the tweaker works with exotic stuff like Windows 7 explorer on Windows 8 .
  • Slovenian translation update.

v4.1.1 (December 18, 2012)

  • Hungarian translation, by Tóth Ádám.
  • German translation of the help file, by Daniel Reiners, the first hero to translate the whole help file!

v4.1 (December 14, 2012)

  • A help file.
  • Update notification: A checkbox for not notifying about a particular version.
  • Latvian translation, thanks Aigars Jacmenkins!
  • Windows volume control (SndVol.exe) runs in higher priority for better performance.
  • Fixed right drag detach on vertical taskbar ("Drag within/between groups using right mouse button" option).
  • Rebuilt the portable launcher to support older processors (versions 4.0.4 to 4.0.10 supported only processors with SSE2 instruction set).

v4.0.10 (October 17, 2012)

  • Fixed a bug that could cause a crash.

v4.0.9 (September 26, 2012)

  • Fixed the always-combine option and combining per Application ID in several situations.

v4.0.8 (September 18, 2012)

  • Improved the always-combine option and combining per Application ID (fixes combining with a vertical taskbar).
  • Fixed a possible crash when clicking on a pinned item.
  • Dutch translation, thanks Frank Meijer!

v4.0.7 (September 2, 2012)

  • Rebuilt the tweaker to support older processors (versions 4.0.4, 4.0.5, 4.0.6 supported only processors with SSE2 instruction set).

v4.0.6 (September 1, 2012)

  • Fixed the decombine-on-active-group option, which caused a crash.

v4.0.5 (September 1, 2012)

  • Fix: The decombine-on-mouse-hover option didn't work correctly with show-labels on.

v4.0.4 (September 1, 2012)

  • Improved the decombine-on-mouse-hover option, which also fixes a potential crash.
  • Fix: It's now possible to interact with the tray icon when update notification balloon is visible.
  • Language update: Slovenian.

v4.0.3 (August 26, 2012)

  • The tweaker shows you a changelog before updating.
  • Taskbar Inspector: A per-AppID option to group pinned items.
  • Improved interaction with sndvol.exe, making volume controlling more robust.
  • Fix: The "When not grouping, place new items next to the existing ones" option didn't work with pinned items.
  • New language: Traditional Chinese, thanks HJL!

v4.0.2 (August 17, 2012)

  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option (this time, hopefully, for real).

v4.0.1 (August 16, 2012)

  • Made the "Double/Middle click on empty space" -> "Ctrl+Alt+Tab" work as expected on Windows 7.
  • Added the option "Double/Middle click on empty space" -> "Ctrl+Win+Tab" for Windows 7. If aero is off or the tweaker runs on Windows 8, the option works like "Ctrl+Alt+Tab".
  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option.

v4.0 (August 12, 2012)

  • New program name: 7+ Taskbar Tweaker.
  • Windows 8 support.
  • General stability improvements and bug fixes.

v3.4.3 (April 20, 2012)

  • Simplified Chinese translation, thanks horan.
  • Option: Toggle taskbar auto-hide on double/middle clicking the taskbar's empty space.
  • Some minor improvements and fixes.

v3.4.2 (April 8, 2012)

  • Fix: A Taskbar Inspector bug in the 64-bit version.
  • Less disturbing update notification.
  • Volume scrolling: If system is muted, the slider shows up, but you must leave the taskbar to unmute it.

v3.4.1 (March 23, 2012)

  • Language updates.
  • Fix: If decombine on mouse hover is on, group combines when closing with middle click.

v3.4 (February 27, 2012)

  • Option: Thumbnails reordering by mouse dragging.

This option was requested since the first version of the tweaker, so here you go.

  • Option: Left click on combined item -> Open last window if inactive, otherwise open thumbnail preview.

Suggested by mathrick .

  • Option: Toggle mute system volume on empty space double/middle click.
  • Update checker.

Now the tweaker automatically checks for new versions, and allows you to update with one click.

v3.3.2 (February 5, 2012)

  • Fixed: Taskbar Inspector size didn't get saved.
  • Fixed a crash in the 64-bit version.
  • Added a Version Info resource.
  • Other small fixes.

v3.3.1 (January 15, 2012)

  • Some small fix.

v3.3 (January 15, 2012)

  • Option: Left click on the active thumbnail minimizes the window.

Windows 7's taskbar provides no easy way to minimize a window in a combined item. The whell scroll options help here, but when a mouse wheel is not available (e.g. a laptop), they don't help much. The new option provides a way to minimize the active window by clicking on its thumbnail.

  • Fix: Multiple thumbnails now show up when grouping is disabled.

This bug existed since the first version of the tweaker. When grouping was disabled programs which used to show multiple thumbnails for a single window (like IE and its thumbnails for tabs) showed only one thumbnail.

  • Italian language. Thanks vfede!

v3.2.1 (December 17, 2011)

  • When volume is muted, the volume control does not show up with mouse scroll.
  • If mouse scroll volume control is on, middle clicking the volume control tray icon toggles volume mute.
  • Fixed the autorun setting of the portable version.

v3.2 (December 3, 2011)

  • A portable version.

From the setup wizard, you can choose to install the tweaker normally or to extract the portable version. The portable version works for both 32 and 64 bit systems.

  • Option to change system volume by scrolling.

You can choose to enable this option for the notification area or for the whole taskbar.

  • Option to open ungrouped items nearby.

In case you disabled grouping for some (or all) of the taskbar items, you have now the option to open them one near the other.

  • Alphabetically sorting of items in a group.
  • Brazilian Portuguese language. Thanks Carlos!

v3.1.1 (November 27, 2011)

  • Languages updated, Portuguese was added (thanks Carlos).

v3.1 (November 13, 2011)

  • More taskbar item hover options.

Now you can choose to show a list instead of the thumbnail preview, show a tooltip (shows only if the title doesn't fit), or show nothing at all.

  • More combining options.

You can choose to combine (or not) your taskbar items. Also, you can set per Application ID rules for combining in Taskbar Inspector.

  • New option: Reserve empty space on taskbar.

The tweaker has options for middle/double clicking the taskbar's empty space. It works great except when the taskbar gets full. This option reserves a little square at the end of the task list, where you can always double/middle click.

  • New option: Hide the "Show desktop" button.

This option was requested several times, so here you go.

  • Small fixes.

The most notable of which is that the thumbnail preview does not get closed when you minimize with the mouse wheel.

v3.0.2 (November 11, 2011)

  • Improved compatibility with programs that use global mouse hook, such as WizMouse.

See details here .

  • Reversed scrolling direction for minimizing/restoring with mouse wheel if the taskbar is on top.

http://rammichael.com/7-taskbar-tweaker-v3-0/comment-page-1#comment-1058

v3.0.1 (November 11, 2011)

  • Fixed a bug with "Decombine active group" option.

v3.0 (October 22, 2011)

  • Mouse wheel options:

You can scroll between taskbar items with the mouse wheel, as well as minimize/restore a window when hovering a taskbar item or a thumbnail.

  • Decombining the active group.

This option will keep the currently active group decombined, similarly to the "decombine on mouse hover" feature.

  • New interface logic.

The options are now divided into three categories: Taskbar items, Grouping and combining, and Other, which will make it easier for you to navigate through them, and will make it easier for me to add new options. Special thanks to Arcyon for giving me some tips about the interface.

  • Improved stability.

The previous versions had some flaws regarding thread safety. This could rarely lead to a crash, a Taskbar Inspector window that does not close, or some other issue. The new version fixes these.

v2.1 (June 15, 2011)

  • Multiple Languages support.
  • A several-times-requested feature to open pinned items with double click to avoid accidental clicking.
  • The tweaker is now compatible with Dexpot's SevenDex feature. Note that if you use the "Don't group" tweaker option, force SevenDex's Application ID to group for the thumbnails to show up correctly.
  • The installer works on Windows Server 2008 R2. I did not actually test the tweaker on this OS, but I've heard it works, so here you go.

v2.0 (April 18, 2011)

  • An option to drag within groups, which enables you to group your taskbar items the way you want to using the right mouse button.

There's a bonus coming with that feature: you can scroll your mouse wheel while holding the right mouse button to show/hide labels of the group under the mouse.

  • The tweaker is distributed within a setup package.

v1.8 (February 18, 2011)

  • The decombine-on-hover feature introduced in v1.7 can also show labels when decombining.
  • Taskbar Inspector can now be opened by left clicking the tray icon.
  • The "Left click on grouped item" function is back. Although the tweak can be enabled through the registry , people wanted it back in 7TT, so here it is.

v1.7 (January 7, 2011)

  • New option: Decombine on hover.
  • New option: Make pinned items smaller.
  • Removed option: "cycle through windows option" on "left click on grouped button".

v1.6 (December 11, 2010)

  • 7 Taskbar Tweaker allows you to change Application IDs in order to group any items you want.
  • You can choose which Application IDs should have label, and which should not.
  • You can cascade/tile multiple windows.

v1.5 (November 27, 2010)

  • Taskbar Inspector:

1. Reorder items within a group.

2. Per Application ID grouping options.

3. Multiple window closing.

  • New option: Minimize taskbar items on middle click.
  • New option: Show desktop or open the Alt+Tab window (Ctrl+Alt+Tab) by double or middle clicking the empty space on the taskbar.

v1.0 (September 30, 2009)

  • First public version.


Tweaks

The tweaks are divided into three sections:

  • Taskbar items

Controls taskbar items related stuff, like middle/right clicking, hovering, and dropping.

  • Grouping and combining

Disables grouping, allows to drag taskbar buttons between groups, forces or disables combining, and more.

  • Other taskbar options

Provides mouse wheel options, taskbar empty space clicking options, and some other options.


Taskbar items

Tweaks ››

Terminology

Options

  • Right click
  • Middle click
  • Dropping
  • Hovering
  • Thumbnails
  • Pinned items


Right click

Tweaks ›› Taskbar items ››

Defines the menu to bring up when right clicking a taskbar item:

  • Jump list (default)

  • Standard window menu

Note

Hold Shift while right clicking a taskbar item to bring up the other menu.


Middle click

Tweaks ›› Taskbar items ››

Defines the action to take when middle clicking a taskbar item:

  • New program instance (default)
  • Switch to
  • Minimize
  • Close


Dropping

Tweaks ›› Taskbar items ››

Defines the action to take when dropping a file on a taskbar item:

  • Pin to (default)

  • Open with

Note

Hold Shift while hovering a taskbar item to use the other action.


Hovering

Tweaks ›› Taskbar items ››

Defines the preview to show when hovering over a taskbar item:

  • Show thumbnail preview (default)

  • List

  • Tooltip

  • Nothing


Thumbnails

Tweaks ›› Taskbar items ››

Drag to reorder

Allows you to drag thumbnail previews and change their order.

Note

Usually, reordering the thumbnail previews will also reorder the taskbar buttons, but not always. When an application uses custom thumbnail previews (like Internet Explorer, which uses thumbnail previews for its tabs), the thumbnail previews and the taskbar buttons are not related to each other, and reordering the one doesn't affect the other.

Left click on the active thumbnail minimizes the window

If set, clicking on the thumbnail preview of the active window will minimize it.


Pinned items

Tweaks ›› Taskbar items ››

Remove extra gap between items

Reduces the space pinned items take up between each other.

Before

After

Note

This option has no effect when the taskbar is vertical.

Open with double click

Makes pinned items launch on a double click instead of a single click.

You can also use a single click while holding the Shift key.

Helps you to avoid accidentally clicking on pinned items and launching applications.


Grouping and combining

Tweaks ››

Terminology

Options

  • Grouping
  • Combining
  • Left click on combined item


Grouping

Tweaks ›› Grouping and combining ››

Since Windows 7, every window has an Application ID. If not defined by the application, the Application ID defaults to the application image path.

By default, the taskbar buttons are grouped by the Application ID of the windows. This option allows you to change this behavior:

  • Group by Application ID (default)

  • Don't group

Note

It's possible to control grouping per Application ID using Taskbar Inspector .

When not grouping, place new items next to the existing ones

When grouping is disabled, newly created taskbar buttons show up at the end of the taskbar. This option makes them show up next to the item they would group with if grouping was enabled.

For example, when you open a second Notepad window, that's what you get by default:

With grouping disabled, you get:

With grouping disabled and this option set, you get:

Don't group pinned items

Every pinned item has an Application ID, just like the taskbar buttons. By default, when a taskbar button with the same Application ID as the pinned item is created, it replaces the pinned item. This option makes the taskbar button show up at the end of the taskbar, while the pinned item stays untouched.

For example, you have a pinned item of Notepad:

By default, when you create a Notepad window, you get:

With this option set, you get:

Note

It's possible to control pinned item grouping per Application ID using Taskbar Inspector .

Drag within/between groups using right mouse button

This option allows you to right click on a taskbar button and drag it to change its position:

  • When dragged within a group, it changes the position of the taskbar button within that group.
  • When dragged towards another taskbar item outside the group, it groups the taskbar button with that taskbar item.
  • When dragged outside the task list, it moves the taskbar button to a newly created group.


Combining

Tweaks ›› Grouping and combining ››

A group of taskbar buttons might or might not be combined, depending on the taskbar properties.

This option allows you to change it:

  • Use taskbar settings (default)

Always combine, hide labels:

Never combine:

  • Combine grouped buttons

Always combine, hide labels:

Same as default.

Never combine:

  • Don't combine grouped buttons

Always combine, hide labels:

Never combine:

Same as default.

Notes

  • This option doesn't have any effect when the "Combine when taskbar is full" option is chosen in the taskbar properties.
  • It's possible to control combining per Application ID using Taskbar Inspector .

Decombine: ...

These options make combined groups decombine on a specific event:

  • Active group

When one of the windows of a combined group becomes active, the group decombines.

  • On mouse hover

When the mouse hovers over a combined group, the group decombines.

...and show labels

When set, the options above make the taskbar buttons' labels visible in addition to the decombining.


Left click on combined item

Tweaks ›› Grouping and combining ››

Defines the action to take when left clicking a combined group:

  • Open thumbnail preview (default)
  • Cycle through windows
  • Open last window if inactive, otherwise open thumbnail preview

If none of the windows of a combined group are active, switch to the last active window of that group.

Otherwise open thumbnail preview.

Note

Hold Ctrl while left clicking a combined group to get the other action.


Other taskbar options

Tweaks ››

Options

  • Mouse wheel
  • Double/middle click on empty space
  • Other


Mouse wheel

Tweaks ›› Other taskbar options ››

Cycle between taskbar buttons

If set, scrolling the mouse wheel when the cursor is over the task list will cycle between taskbar buttons.

Skip minimized windows

If set, minimized windows will be skipped while cycling.

Minimize/restore when mouse is over: ...

These options allow you to minimize/restore a window by scrolling the mouse wheel when the cursor is over the corresponding item:

  • Taskbar buttons
  • Thumbnails

Control volume when mouse is over: ...

If set, scrolling the mouse wheel when the cursor is over the specified region will open volume control:

  • The taskbar
  • The notification area

Bonus

When one of the options above is set, middle clicking the volume control tray icon will mute/unmute speakers.


Double/middle click on empty space

Tweaks ›› Other taskbar options ››

These options refer to the empty space of the task list:

By default, middle or double clicking the empty space does nothing.

These options allow you to choose an action to take:

  • Nothing (default)
  • Show desktop
  • Ctrl+Alt+Tab
  • Task Manager
  • Taskbar Inspector
  • Toggle mute system volume
  • Toggle taskbar auto-hide
  • Win+Tab / Ctrl+Win+Tab
  • Start menu/Start screen


Other

Tweaks ›› Other taskbar options ››

Hide the Start button

Hides the Start button.

To open the Start menu in Windows 7, click on the corner where the Start button was located.

To open the Start screen in Windows 8.1, click the lower-left corner of the screen.

Obviously, this option has no effect on Windows 8, as it has no start button by default.

Before

After

Hide the "Show desktop" button

Hides the "Show desktop" button at the end of the taskbar.

Before (pressed)

After

Display seconds on the tray clock

Displays seconds, in addition to minutes and hours, on the taskbar's tray clock.

Reserve empty space on taskbar

The tweaker has options for double/middle clicking on empty space . They work great except when the taskbar gets full. This option reserves a little square at the end of the task list, where you can always double/middle click.

Before

After


Taskbar Inspector

The Taskbar Inspector is basically a list of taskbar items, grouped by Application ID the way they are grouped on the taskbar.

Note

Holding Ctrl+Shift while opening Taskbar Inspector will leave it open even after it loses focus. To close it, press Escape.

Application IDs

Every unindented item in the list with the arrow-like icon represents an Application ID.

It may have child items, which are indented. They represent taskbar buttons.

For a pinned item, the Application ID will have no child items.

For a taskbar button, the Application ID will have a single child item.

For a group of taskbar buttons, the Application ID will have multiple child items.

Double clicking an Application ID item will select its child items.

Right clicking an Application ID item (when only the Application ID item is selected) will provide per Application ID options:

  • Show labels
  • Group

Read more about grouping here .

  • Group pinned item

Read more about pinned items grouping here .

  • Combine

Read more about combining here .

  • Sort group items (Only when the Application ID has multiple child windows)

Alphabetically sorts child items.

Taskbar buttons

The indented items in the list represent taskbar buttons.

Dragging a taskbar button item will reorder it within the group.

Right clicking a taskbar button item will provide options for the taskbar button's window:

  • Change Application ID

Changes the Application ID of the selected taskbar button's window.

In addition to the available Application IDs, there are two special options:

    • random_group_[number]

Changes the window's Application ID to a random Application ID generated by the tweaker.

Taskbar buttons of these random Application IDs always group, even when grouping is disabled, which makes it easy to select multiple items and group them together.

    • (restore)

Restores the window's Application ID to the default process' Application ID.

  • Cascade (Only when multiple items are selected)
  • Tile horizontally (Only when multiple items are selected)
  • Tile vertically (Only when multiple items are selected)
  • Restore
  • Minimize
  • Maximize
  • Close


Settings

Run at startup

Defines whether the tweaker runs on Windows startup.

Note

This setting creates the registry value 7 Taskbar Tweaker in the following branch:

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run

The value contains tweaker's executable path, followed by the -hidewnd command line switch.

Check for updates

When set, the tweaker automatically checks for updates.

When an update is available, the tray icon shows a green arrow, and a balloon tip appears.

When you click on the balloon tip, an updater dialog opens, which allows you to update to the new version with a single click.

You can also view the changelog and disable notification for this particular version.

Note

The tweaker checks for updates every 24 hours.

Update automatically

When set, the tweaker updates automatically in the background once a new version is available.

Hide tray icon

When set, the tweaker's tray icon is hidden.

To show the main dialog when the tray icon is hidden, run the tweaker.

To exit the tweaker, you have to make the tray icon visible again.

Tray icon left click opens: ...

Allows you to choose the dialog to open when left clicking the tray icon:

  • 7+ Taskbar Tweaker
  • Taskbar Inspector

Language: ...

Allows you to choose the interface language.

Note

For details about translating the tweaker to your language, read the online FAQ .


Advanced options

7+ Taskbar Tweaker has additional options that provide further customization.

You can use the Advanced Options Editor to access these options.

It can be opened from the tray icon right click menu, or from the main window's system menu.


OptionsEx

Advanced options ››

Some of these extended options allow you to tune aspects of the tweaker.

Others provide minor features or bug fixes.

Values

Name

Data

always_show_thumb_labels

By default, thumbnail previews contain labels only when the labels of the taskbar buttons are not shown. This options makes the labels of the thumbnail previews always visible, regardless of whether the labels of the taskbar buttons are shown.

0 - Disabled (default)

1 - Enabled

always_show_tooltip

By default, when hovering over a taskbar item, a tooltip is shown only if the text doesn't fit the button. This options forces the tooltip to be always shown.

0 - Disabled (default)

1 - Enabled

cycle_same_virtual_desktop

Fixes the Left click on combined item option to cycle only through windows that belong to the current virtual desktop. The option affects only Windows 10, until Windows 10 Anniversary Update, where the bug was fixed.

0 - Disabled (default)

1 - Enabled

disable_items_drag

This options disables the drag operation of taskbar items on the task list. That means that reordering of items is no longer possible, and the jump list does not show up when dragging an item towards the desktop.

0 - Disabled (default)

1 - Enabled

disable_taskbar_transparency

This options allows to disable the taskbar transparency.

0 - No change (default)

1 - Disable transparency

2 - Disable transparency, and use basic theme for taskbar color (Windows 7)

disable_topmost

By default, the taskbar is always on top. This option allows you to change this behavior.

0 - Always on top (default)

1 - Not always on top, but not overlapped by maximized windows

2 - Not always on top, and overlapped by maximized windows

disable_tray_icons_drag

This options disables the drag operation of notification area items. That means that reordering of items is no longer possible.

0 - Disabled (default)

1 - Enabled

drag_towards_desktop

By default, when you drag a taskbar item towards the desktop, the jump list appears. This option allows you to choose an alternative functionality.

0 - Jump list (default)

1 - Disabled

2 - Switch to

3 - Minimize

4 - Close

5 - New instance

6 - Show thumbnail preview

fix_hang_reposition

Due to a Windows bug, when a hung window becomes responsive again, its taskbar button may disappear and reappear at the end of the taskbar. This option fixes the bug.

0 - Disabled

1 - Enabled (default)

list_reverse_order

When setting the Hovering option to List, newer items are displayed below the older ones. This option allows you to reverse the displaying order of items in the list.

The option only works for Windows 7, Windows 8, and Windows 8.1.

0 - Disabled (default)

1 - Enabled

multipage_wheel_scroll

When the taskbar gets overflown with items, it creates additional pages and shows a scrollbar. This option allows to scroll between multiple pages with the mouse wheel.

0 - Disabled (default)

1 - Enabled

multirow_equal_width

When using a taskbar with multiple rows, this option forces the items on every row to have the same width. Note that the option has no effect when there are grouped, combined, or pinned items on the taskbar.

0 - Disabled (default)

1 - Enabled

no_start_btn_spacing

When the Hide the Start button option is enabled, this option allows you to control the spacing between the taskbar edge and the task list. The default spacing size is 13 pixels for Windows 7 and Windows 8.1, and is zero for Windows 10.

0 - Disabled (default)

Nonzero - The spacing size, in pixels

no_width_limit

By default, Windows limits the minimum width of the vertical taskbar. The limit might seem too restrictive for some, so this option removes it.

0 - Disabled (default)

1 - Enabled

nocheck_minimize

nocheck_maximize

nocheck_close

By default, before minimizing/maximizing/closing a window, the tweaker checks whether the window supports this operation. These options allow you to disable the checks. Note that it might lead to unexpected behavior.

Used in: Middle click options, mouse wheel minimizing options, Taskbar Inspector.

0 - Disabled (default)

1 - Enabled

pinned_ungrouped_animate_launch

When the don't group pinned items option is set, the animation when you click a pinned item gets disabled. This option prevents it from being disabled.

0 - Disabled (default)

1 - Enabled

right_drag_toggle_labels

Adds an extra feature to the Drag within/between groups using right mouse button option. When this option is set, scrolling the mouse wheel while holding the right mouse button will show/hide the label of the hovered taskbar button's Application ID.

0 - Disabled (default)

1 - Enabled

scroll_maximize_restore

Extends the minimize/restore when mouse is over... option to switch between minimize/restore/maximize.

0 - Disabled (default)

1 - Enabled

scroll_no_wrap

Disables the wrapping around behavior for the cycle between taskbar buttons option.

By default, if the last taskbar button is the active button, cycling further will activate the first button again. This option allows to disable this behavior, so that cycling will stop on the last taskbar button.

0 - Disabled (default)

1 - Enabled

scroll_reverse_cycle

Reverses the direction of the mouse wheel for the cycle between taskbar buttons option.

By default, scrolling down will cycle to the right on the task list, and scrolling up will cycle to the left. This option reverses the scroll direction.

0 - Disabled (default)

1 - Enabled

scroll_reverse_minimize

Reverses the direction of the mouse wheel for the minimize/restore when mouse is over... options.

By default, scrolling down will minimize the window, and scrolling up will restore it (unless the taskbar is placed on top). This option reverses the scroll direction.

0 - Disabled (default)

1 - Enabled

show_desktop_button_size

Allows to customize the size of the "Show desktop" button.

Default size: 15 pixels for Windows 7 and Windows 8, 8 pixels for Windows 8.1, 5 pixels for Windows 10.

0 - Disabled (default)

Nonzero - The button size, in pixels

show_desktop_on_hover

This option makes the taskbar to show desktop when a file is dragged over the empty space of the task list, similarly to the way it works with the show desktop button. This functionality is similar to the way it worked with Windows XP.

0 - Disabled (default)

1 - Enabled

sndvol_tooltip

The volume controlling option uses the Windows volume control program as an indicator. This option makes it use a tooltip instead.

0 - Disabled (default)

1 - Enabled

tray_clock_fix_width

Even when the date is not shown on the tray clock (when using small icons), the width is calculated based on both the time and the date text width. This option fixes this issue, so that when only the clock is shown, the date text width isn't taken into account.

The bug was officially fixed in Windows 10 Anniversary Update.

0 - Disabled (default)

1 - Enabled

tray_icons_padding

Allows to customize the horizontal padding between icons in the notification area.

Until Windows 10: The default horizontal padding is 8 pixels. The option allows to set a different padding size, in pixels.

Note: in early versions of Windows (e.g. Windows XP), the padding was equal to 2 pixels.

Since Windows 10: The option allows to increase the default horizontal padding size between icons, using an internal padding calculation algorithm.

0 - Disabled (default)

Nonzero - The horizontal padding size

virtual_desktop_order_fix

Windows 10 introduces the virtual desktops feature, but it has a limitation: custom reordering of the taskbar buttons on the task list is not preserved between virtual desktop switches. This option causes explorer to preserve the custom order.

0 - Disabled (default)

1 - Enabled

w10_large_icons

When using large icons, their size was 32x32 on earlier Windows versions. On Windows 10, the default size is 24x24. This option allows to have 32x32 sized icons again.

0 - Disabled (default)

1 - Enabled

w7_show_desktop_classic_corner

Fixes a bug of Windows 7: when the classic theme is used, clicking on the screen corner where the "Show desktop" button is located doesn't activate the button.

0 - Disabled (default)

1 - Enabled

w7_tasklist_htclient

By default, the taskbar in Windows 7 acts as a movable control, even when locked. This prevents from it to receive left click notifications, and they cannot be customized using the Mouse Button Control options. This option makes it behave as a static control when locked, thus allowing left click customization.

Note: Windows 8 behaves correctly and this option has no effect on it.

0 - Disabled (default)

1 - Enabled


Mouse Button Control

Advanced options ››

These allow you to map different mouse click events to actions on the taskbar.

Note that these options have higher priority than the standard tweaks.

Value name

The value name defines the target element, the mouse click event, and the modifier keys.

Target element

For now, these are supported:

  • taskbaritem - a taskbar item.
  • emptyspace - the empty space of the task list.
  • volumeicon - the volume/speakers notification icon.
  • showdesktop - the "Show desktop" button.

Mouse click event

One of the following:

  • lclick - Left button click.
  • ldblclick - Left button double click.
  • rclick - Right button click.
  • rdblclick - Right button double click.
  • mclick - Middle button click.
  • mdblclick - Middle button double click.
  • x1click - First X button (button 4) click.
  • x1dblclick - First X button (button 4) double click.
  • x2click - Second X button (button 5) click.
  • x2dblclick - Second X button (button 5) double click.

The X buttons (button 4 and button 5) refer to a 5-button mouse.

Modifier keys

One or more of the following:

  • ctrl
  • shift

Bringing it together

The final value name looks like this:

target_element|mouse_click_event+modifier1+modifier2

For example:

  • taskbaritem|ctrl+shift+lclick - a left click on a taskbar item, when ctrl and shift are down.
  • emptyspace|x1dblclick - a double button 4 click on the empty space of the task list.

Value data

The value data defines the action to map the mouse click event to.

The value data meaning depends on the target element:

taskbaritem

  • 1 - Switch to
  • 2 - Minimize
  • 3 - Close
  • 4 - New instance
  • 5 - Jump list
  • 6 - Standard menu
  • 7 - Show thumbnail preview
  • 8 - Terminate process
  • 9 - Minimize all group items
  • 10 - Close all group items
  • 11 - Maximize all group items
  • 12 - Restore all group items
  • 13 - Maximize
  • 14 - Restore
  • 15 - Alphabetically sort group items

emptyspace

volumeicon

showdesktop

  • 1 - Show desktop
  • 2 - Ctrl+Alt+Tab
  • 3 - Task Manager
  • 4 - Taskbar Inspector
  • 5 - Toggle mute system volume
  • 6 - Toggle taskbar auto-hide
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Start menu/Start screen
  • 101 - Switch to the window which is located on the left to the active window on the taskbar.
  • 102 - Switch to the window which is located on the right to the active window on the taskbar.
  • 103 - Same as 101, and skip minimized windows.
  • 104 - Same as 102, and skip minimized windows.

Examples

  • taskbaritem|ctrl+shift+lclick - 3 - a left click on a taskbar button, when ctrl and shift are down, closes the window.
  • emptyspace|x1dblclick - 1 - a double button 4 click on the empty space of the task list shows the desktop.


Keyboard Shortcuts

Advanced options ››

These options allow you to map keyboard shortcuts to actions on the taskbar.

Value name

The value name defines the shortcut key and the modifier keys.

Shortcut key

The shortcut key is represented by a virtual key code.

It can be a decimal or a hexadecimal number, while the latter must be prefixed with "0x".

The full list of virtual key codes can be viewed on Microsoft's web site .

Modifier keys

One or more of the following:

  • alt
  • ctrl
  • shift
  • win
  • norepeat - Prevents the system from sending multiple notifications when the key is held.

Bringing it together

The final value name looks like this:

shortcut_key|modifier1+modifier2

For example:

  • 0x27|ctrl+shift - Ctrl+Shift+Right.
  • 65|ctrl+alt+norepeat - Ctrl+Alt+A. Fires once even if the shortcut is held for a long time.

Value data

The value data defines the action to take when the keyboard shortcut is pressed.

  • 1 - Show desktop
  • 2 - Ctrl+Alt+Tab
  • 3 - Task Manager
  • 4 - Taskbar Inspector
  • 5 - Toggle mute system volume
  • 6 - Toggle taskbar auto-hide
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Start menu/Start screen
  • 101 - Switch to the window which is located on the left to the active window on the taskbar.
  • 102 - Switch to the window which is located on the right to the active window on the taskbar.
  • 103 - Same as 101, and skip minimized windows.
  • 104 - Same as 102, and skip minimized windows.

Examples

  • 0x25|ctrl+shift - 103 - Ctrl+Shift+Left cycles to the left through taskbar buttons, while skipping minimized windows.
  • 0x27|ctrl+shift - 104 - Ctrl+Shift+Right cycles to the right through taskbar buttons, while skipping minimized windows.
  • 65|ctrl+alt+norepeat - 4 - Ctrl+Alt+A opens Taskbar Inspector. Fires once even if the shortcut is held for a long time.